
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Linux Shell 不同进制数据转换 / 憋错料</title>

    <meta name="description" content="Linux Shell 不同进制数据转换 shell可以在不调用第3方命令,表示不同进制数据.这里总结以下表示方法.shell 脚本默认数值是由10 进制数处理,除非这个数字某种特殊的标记法或前缀开头. 才可以表示其它进制类型数值.如:以 0 开头就是 8 进制.以0x 开头就是16 进制数.使用 BASE#NUMBER 这种形式可以表示其它进制.BASE值:2-64. 使用方法: 其它进制转为10进制 八进制转十进制: 1 2 3 4 5 6 [[email protected] ~]$ ((num=0123)); [[email p">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">Linux Shell 不同进制数据转换</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>shell可以在不调用第3方命令，表示不同进制数据。这里总结以下表示方法。shell 脚本默认数值是由10 进制数处理,除非这个数字某种特殊的标记法或前缀开头. 才可以表示其它进制类型数值。如：以 0 开头就是 8 进制.以0x 开头就是16 进制数.使用 BASE#NUMBER 这种形式可以表示其它进制.BASE值：2-64.</p>
<p><strong>使用方法：</strong></p>
<ul>
<li>其它进制转为10进制</li>
</ul>
<p>八进制转十进制：</p>
<table>
<tbody>
<tr>
<td>
<br />
     1</p>
<p>2</p>
<p>3</p>
<p>4</p>
<p>5</p>
<p>6<br />
    
</td>
<td>
<br />
     <code>[[email&#160;protected] ~]$ ((num=0123));</code></p>
<p><code>[[email&#160;protected] ~]$ </code><code>echo</code> <code>$num;</code></p>
<p><code>83</code></p>
<p><code>[[email&#160;protected] ~]$ ((num=8</code><code>#123));</code></p>
<p><code>[[email&#160;protected] ~]$ </code><code>echo</code> <code>$num; </code></p>
<p><code>83</code><br />
    
</td>
</tr>
</tbody>
</table>
<p>((表达式))，（（））里面可以是任意数据表达式。如果前面加入：”$”可以读取计算结果。</p>
<p>十六进制转十进制：</p>
<table>
<tbody>
<tr>
<td>
<br />
     1</p>
<p>2</p>
<p>3</p>
<p>4</p>
<p>5</p>
<p>6<br />
    
</td>
<td>
<br />
     <code>[[email&#160;protected] ~]$ ((num=0xff)); </code></p>
<p><code>[[email&#160;protected] ~]$ </code><code>echo</code> <code>$num; </code></p>
<p><code>255</code></p>
<p><code>[[email&#160;protected] ~]$ ((num=16</code><code>#ff));</code></p>
<p><code>[[email&#160;protected] ~]$ </code><code>echo</code> <code>$num; </code></p>
<p><code>255</code><br />
    
</td>
</tr>
</tbody>
</table>
<p>base-32转十进制：</p>
<table>
<tbody>
<tr>
<td>
<br />
     1</p>
<p>2</p>
<p>3<br />
    
</td>
<td>
<br />
     <code>[[email&#160;protected] ~]$ ((num=32</code><code>#ffff));</code></p>
<p><code>[[email&#160;protected] ~]$ </code><code>echo</code> <code>$num; </code></p>
<p><code>507375</code><br />
    
</td>
</tr>
</tbody>
</table>
<p>base64转十进制：</p>
<table>
<tbody>
<tr>
<td>
<br />
     1</p>
<p>2</p>
<p>3<br />
    
</td>
<td>
<br />
     <code>[[email&#160;protected] ~]$ ((num=64</code><code>#abc_)); </code></p>
<p><code>[[email&#160;protected] ~]$ </code><code>echo</code> <code>$num; </code></p>
<p><code>2667327</code><br />
    
</td>
</tr>
</tbody>
</table>
<p>二进制转十进制</p>
<table>
<tbody>
<tr>
<td>
<br />
     1</p>
<p>2</p>
<p>3<br />
    
</td>
<td>
<br />
     <code>[[email&#160;protected] ~]$ ((num=2</code><code>#11111111)); </code></p>
<p><code>[[email&#160;protected] ~]$ </code><code>echo</code> <code>$num;</code></p>
<p><code>255</code><br />
    
</td>
</tr>
</tbody>
</table>
<ul>
<li>十进制转为其它进制</li>
</ul>
<p>十进制转八进制</p>
<p>这里使用到：bc外部命令完成。bc命令格式转换为：echo “obase=进制;值”|bc</p>
<table>
<tbody>
<tr>
<td>
<br />
     1</p>
<p>2<br />
    
</td>
<td>
<br />
     <code>[[email&#160;protected] ~]$ </code><code>echo</code> <code>"obase=8;01234567"</code><code>|</code><code>bc</code></p>
<p><code>4553207</code><br />
    
</td>
</tr>
</tbody>
</table>
<p>二进制，十六进制，base64转换为 十进制也相同方法。</p>
<table>
<tbody>
<tr>
<td>
<br />
     1</p>
<p>2<br />
    
</td>
<td>
<br />
     <code>[[email&#160;protected] ~]$ </code><code>echo</code> <code>"obase=64;123456"</code><code>|</code><code>bc</code></p>
<p><code>30 09 00</code><br />
    
</td>
</tr>
</tbody>
</table>
<p>shell，内置各种进制表示方法非常简单。记得base#number 即可。这里记得赋值时候用(())符号。不能直接用=号了。=号没有值类型。默认将后面变成字符串了。如：</p>
<table>
<tbody>
<tr>
<td>
<br />
     1</p>
<p>2</p>
<p>3<br />
    
</td>
<td>
<br />
     <code>[[email&#160;protected] ~]$ num=0123;</code></p>
<p><code>[[email&#160;protected] ~]$ </code><code>echo</code> <code>$num;</code></p>
<p><code>0123</code><br />
    
</td>
</tr>
</tbody>
</table>
<p>0开头已经失去了意义了。</p>
<p>可以通过定义符：let达到(()) 运算效果。</p>
<table>
<tbody>
<tr>
<td>
<br />
     1</p>
<p>2</p>
<p>3<br />
    
</td>
<td>
<br />
     <code>[[email&#160;protected] ~]$ </code><code>let</code> <code>num=0123;</code></p>
<p><code>[[email&#160;protected] ~]$ </code><code>echo</code> <code>$num; </code></p>
<p><code>83</code><br />
    
</td>
</tr>
</tbody>
</table>
<p>有其它更好方法，朋友们可以与我分享一下,希望对大家都能有所帮助。</p>
<p>如果想深入体验LINUX系统的新手，也可以先下载一个方德Linux软件中心试用一下。<br />免费下载地址：<a href="http://www.nfs-cloud.cn:81/appCenter/open/softcenter" rel="external nofollow noreferrer">http://www.nfs-cloud.cn:81/appCenter/open/softcenter</a></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-29 20:37:49 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>Linux Shell 不同进制数据转换的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/41yw9O4.html" rel="bookmark">linux shell 不同进制数据转换（二进制，八进制，十六进制，base64&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文转载 http://www.cnblogs.com/chengmo/archive/2010/10/14/1851570.html ,感谢作者! shell可以在不调用第3方命令,表示不同进制数据.这里总结以下表示方法.shell 脚本默认数值是由10 进制数处理,除非这个数字某种特殊的标记法或前缀开头. 才可以表示其它进制类型数值.如:以 0 开头就是 8 进制.以0x 开头就是16 进制数.使用 BASE#NUMBER 这种形式可以表示其它进制.BASE值:2-64. 使用方法: 其它进			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/49RG9gM.html" rel="bookmark">shell 编程进制转换</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				shell脚本在处理数据的时候,默认是10进制,通过特殊的标记或者前缀可以转换为其他的进制. 以 0 开头就是 8 进制.以0x 开头就是16 进制数. 1. 使用 BASE#NUMBER 这种形式可以表示其它进制.BASE值的取值范围:2-64. 2. 赋值时候用(())符号.不能直接用=号了.=号没有值类型.默认将后面变成字符串了. 3. 可以通过定义符:let达到(()) 运算效果. 十进制转换为其他进制 ((表达式)),(())里面可以是任意数据表达式.如果前面加入:”$”可以读取计算结			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3OdnW74.html" rel="bookmark">linux shell下16进制 &OpenCurlyDoubleQuote;&bsol;uxxxx&rdquo; unicode to UTF-8中文</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题出现背景: 项目中有个通过ip获取归属地城市需求,我是直接通过新浪的ip归属查询接口来获取的.我使用的是shell脚本调用 RESULT=$(curl -s 'http://int.dpool.sina.com.cn/iplookup/iplookup.php?format=js&amp;ip=119.137.53.145') 返回json格式的值: var remote_ip_info = {&quot;ret&quot;:1,&quot;start&quot;:-1,&quot;end&quot;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4ALZRZ3.html" rel="bookmark">Linux命令之bc - 浮点计算器、进制转换</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				用途说明 Bash内置了对整数四则运算的支持,但是并不支持浮点运算,而bc命令可以很方便的进行浮点运算,当然整数运算也不再话下.手册页上说bc是An arbitrary precision calculator language,即一个任意精度的计算语言,注意是一种语言,它提供了一些语法结构,比如条件判断.循环等,可以说是很强大的,但是我在实际中还没有找 到需要这个用途的场合 .另外一个用途就是用来进行进制转换. 常用参数 一般情况下,我们使用不带任何参数的bc命令. bc 如果需要bc不输出提			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MoYQ7D3.html" rel="bookmark">shell命令行混合进制计算器</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				需要简单的计算的时候,不想用GUI的计算器,能在shell下直接计算就最好了 查了下,有个东西叫 bc,  具体的使用就不赘述了,可以运行bc,然后进去计算,也可以echo传递过去,大概是像这样 echo &quot;1+2&quot; | bc echo &quot;ibase=16;1A+1&quot; | bc 但用起来比较不爽,首先是要指定进制,这样整个表达式就都是这种进制的,比如说 echo &quot;ibase=16;1A*10&quot; | bc #计算的是 0x1A * 0x10 但我			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MLWRvv4.html" rel="bookmark">shell进制转换</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				使用 Shell 运算进行进制转换 假定在您的脚本中有一些数字,您需要以另外的进制处理这些数字.使用 Shell 运算可以很容易地自动实现这类转换.一种情况是使用 Shell 运算把一个数字从给定的进制转换位十进制.如果数字以运算展开式的形式提供,那么假定它带有十进制符号,除非 它前面带有 0(这种情况假定是八进制)或 0x(这种情况假定是十六进制).键入以下内容以得到一些八进制和十六进制值的十进制输出: $ echo $((013)) $ echo $((0xA4)) 您还可以使用以下格式指定			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MWjrLB4.html" rel="bookmark">shell 进制转换</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				包括: i.任意进制转化为十进制((num=base#number)) [base和number必须一致,是同一种进制] ii.十进制转化为任意进制`echo &quot;obase=进制;值&quot;|bc` 和`echo &quot;值 进制 o  p&quot;|bc` [这里的值代表十进制数字] iii.任意进制互转:有了i和ii就可以用十进制做中间媒介值互转了. 如:二进制到十六进制 ((num=2#二进制数字)); hexValue=`echo &quot;obase=16;num&quot			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3qDrY70.html" rel="bookmark">支持windows linux下将指定内存段转为16进制与ascii码的日志输出类</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				来源:http://blog.csdn.net/lezhiyong 1. 简介 将指定内存段转为16进制与asci码的输出到日志文件的类. 2. 功能介绍 1) 支持window与linus双系统. 2) 可指定输出目录. 3) 日志能输出的时间精确到毫秒,日志能输出线程号. 4) 提供字符串输出. 5) 提供指定内存转换为16进制输出. 6) 提供指定内存转换为16进制和ascii码同时输出. 7) 可调整16进制输出间距. 3. 原理和算法 1) 模块是基于C++语言编写: 2) 通过条件定			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0eWglv4.html" rel="bookmark">Linux c字符串中不可打印字符转换成16进制</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文由 www.169it.com 搜集整理 如果一个C字符串中同时包含可打印和不可打印的字符,如果想将这个字符串写入文件,同时方便打开文件查看或者在控制台中打印出来不会出现乱码,那么可以将字符串中的不可打印字符转换成16进制,此处提供一个函数供使用: 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 void printhex(unsigned char *src,int len) {     			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/n0lq6p3.html" rel="bookmark" class="title">create-react-app之Invalid Host Header</a>
					<div>
						[create-react-app之Invalid Host Header] 1.When you enable the `proxy` option, you opt into a more str ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Z0Kn2rM.html" rel="bookmark" class="title">nfs配置管理</a>
					<div>
						nfs基本概念 网络文件系统(NFS,Network File System)是一种将远程主机上的分区(目录)经网络挂载到本地系统的一种机制,通过对网络文件系统的支持,用户可以在本地系统上像操作本地分 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/74QrQkM.html" rel="bookmark" class="title">【转】设计模式：简单工厂、工厂方法、抽象工厂之小结与区别</a>
					<div>
						简单工厂,工厂方法,抽象工厂都属于设计模式中的创建型模式.其主要功能都是帮助我们把对象的实例化部分抽取了出来,优化了系统的架构,并且增强了系统的扩展性. 本文是本人对这三种模式学习后的一个小结以及对他 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4NJGOw4.html" rel="bookmark" class="title">JavaScript函数实现鼠标指向后带图片的提示效果</a>
					<div>
						转载:http://www.cnblogs.com/jack86514/archive/2009/04/01/1427584.html 当我们在写一个网页程序的时候,很多方法可以提供页面的动态显示,从 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0knJndM.html" rel="bookmark" class="title">System Center 2012 R2实例2&amp;mdash&semi;构建Azure Pack云19&amp;mdash&semi;AD集成</a>
					<div>
						WAP默认登录方法是让用户自己通过邮件地址注册账户,或者管理员直接在管理门户中添加.然后用此账户登陆,通过添加订阅来使用各种服务. 但对于非运营商企业运用而言,企业如果通过WAP来创建自己的私有化云, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0YgBZq4.html" rel="bookmark" class="title">WINDOWS操作系统中可以允许最大的线程数</a>
					<div>
						默认情况下,一个线程的栈要预留1M的内存空间 而一个进程中可用的内存空间只有2G,所以理论上一个进程中最多可以开2048个线程 但是内存当然不可能完全拿来作线程的栈,所以实际数目要比这个值要小. 你也 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0R8nWR4.html" rel="bookmark" class="title">Spring Autowire</a>
					<div>
						Autowire:自动装配 autowire的实现方式有2种,但是其最终是通过autoWire来修饰bean,并让bean在上下文中具有自动装配的能力. 实现autowire的方法有2种: 第一种在配 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4pRzK80.html" rel="bookmark" class="title">JavaScript 客户端JavaScript之脚本化HTTP&lpar;通过XMLHttpRequest&rpar;</a>
					<div>
						XMLHttpRequest对象的设计目的是为了处理由普通文本或XML组成的响应:但是,一个响应也可能是另外一种类型,如果用户代理(UA)支持这种内容类型的话. 大多数浏览的客户端JavaScript ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0bYR6eM.html" rel="bookmark" class="title">模块化技术</a>
					<div>
						声明:原创作品,转载时请注明文章来自SAP师太技术博客:www.cnblogs.com/jiangzhengjun,并以超链接形式标明文章原始出处,否则将追究法律责任!原文链接:http://www. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3O7yjP3.html" rel="bookmark" class="title">&period;net开发微信公众号（1）-启用开发者中心</a>
					<div>
						开篇介绍 今天新开一个微信公众号开发经验分享的系列,主要是和大家分享在.net下开发微信公众号后台的一些经验,希望能给在.net下做微开发的小伙伴们一些参考.最近由于工作需要,开发了一个微信公众账号. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MG8KEV0.html" rel="bookmark" class="title">Python基础6-2 面向对象编程</a>
					<div>
						本篇将详细介绍Python 类的成员.成员修饰符.类的特殊成员. 类的成员 类的成员可以分为三大类:字段.方法和属性 注:所有成员中,只有普通字段的内容保存对象中,即:根据此类创建了多少对象,在内存中 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MV8pDw3.html" rel="bookmark" class="title">几天不见  就记得这个架子了。。。。</a>
					<div>
						&lt;html&gt; &lt;head&gt; &lt;title&gt;&lt;/title&gt; &lt;style&gt; #one{ } &lt;/style&gt; &lt;/head ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0e5ZNp0.html" rel="bookmark" class="title">jvm 加载class文件过程</a>
					<div>
						jvm 加载class文件分为装载-链接-初始化三个过程. load --------&gt;link verify prepare resolve     ----------&gt;initial ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MBa8jJ4.html" rel="bookmark" class="title">Qt工具知多少（一目了然）</a>
					<div>
						一级题目: Qt Designer — 所见即所得的界面设计工具, 可以用拖拽的方式将控件排布在界面上,支持layout, 支持signal/slot编辑. 生成的文件保存为ui格式, ui是xml格 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3rkyRl4.html" rel="bookmark" class="title">C语言打字母小程序实现----笔记小记</a>
					<div>
						1.养成良好的编程习惯.比如:函数名的定义,变量名的定义等等. 2.利用模块化思想设计和编写程序代码. 例如,对于实现某个功能的程序段,应相应设计为一个功能函数,然后在main函数需要的地方直接调用即 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0kpyqp3.html" rel="bookmark" class="title">让navigationItem&period;leftBarButtonItem具有backBarButtonItem的外观样式</a>
					<div>
						需求是:点击返回按钮,自动保存设定,然后返回前一个画面,返回按钮必须使用带左箭头的那种,用过iOS的都懂的. 我一开始用的是iOS默认的backBarButtonItem, 但是发现它不能接收事件(A ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MzAm5y4.html" rel="bookmark" class="title">阿里云 django的一次web维护记录</a>
					<div>
						首先, 丢给我一个阿里云的服务器的账号/密码,之前没有玩过阿里云,想想应该也是ssh服务来远程登陆. 环境: centos+nginx+uwsgi+python2.7+django. 1. 首先看了下 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/35ADJK3.html" rel="bookmark" class="title">c&plus;&plus;派生类构造函数</a>
					<div>
						在派生的过程中,构造函数和析构函数是不继承的,因此在初始化时,派生类的构造函数就必须完成基类的私有变量初始化. 解决问题的思路,在派生类调用基类的构造函数 执行派生类构造函数的顺序是: 调用基类构造函 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0xZm6B4.html" rel="bookmark" class="title">php加密</a>
					<div>
						加密 使用crypt(); &lt;?php $pass = '123456'; echo &quot;MD5加密后&quot;.md5($pass).&quot;&lt;br&gt;&quot;;  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/35rx9o4.html" rel="bookmark" class="title">ssh整合 配置文件集锦</a>
					<div>
						web.xml &lt;?xml version=&quot;1.0&quot; encoding=&quot;UTF-8&quot;?&gt;&lt;web-app xmlns:xsi=&quot; ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 11 q. 0.023 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
